Page MenuHomePhabricator

Provide summary of MediaWiki downloads
Closed, ResolvedPublic

Description

In order to provide some concrete numbers for a presentation during Wikimania, we'd like to get a regularly updated report on the number of dowlooads of MedaWiki. It would be nice if this could be broken down by region, as well so that we can tell where MW is being used.

Event Timeline

MarkAHershberger raised the priority of this task from to Needs Triage.
MarkAHershberger updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 26 2015, 4:59 PM
Krenair added a subscriber: Krenair.

So you need to get statistics on downloads from Gerrit, Gitblit, Github (not in our infrastructure...), and releases.wikimedia.org?

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 26 2015, 5:01 PM

Initially, I'm only interested in releases.w.o. Those are the most straight-forward.

Later, yes, getting git checkouts would be interesting and useful.

Peachey88 set Security to None.Jun 27 2015, 10:24 PM
Peachey88 added a subscriber: Legoktm.
Peachey88 added a subscriber: Peachey88.
Dzahn added a comment.Jul 16 2015, 3:27 AM

This sounds like a classic Analytics thing. At least way more than a "traffic" thing.

Dzahn writes:

This sounds like a classic Analytics thing. At least way more than a
"traffic" thing.

I got Kevin Luduc here at Wikimania to get us the information we needed.

Thanks!

I got Kevin Luduc here at Wikimania to get us the information we needed.
Thanks!

Can these be published?

Ckoerner added a subscriber: kevinator.EditedJul 17 2015, 3:46 PM

Thanks to @kevinator for providing these statistics of MediaWiki downloads. We'll be presenting about them at the MedaiWiki Stakeholders' Group session at 2pm on Saturday.

From Kevin,

A couple of caveats around all the data:

  • I cannot filter out bots downloading the data (possibly with the intention to verify that the download is still available).
  • I cannot tell if the download succeeded, only that it started.

Nemo_bis added a subscriber: Nemo_bis.EditedJul 18 2015, 6:24 PM

As for USA, there are a number of very similar lines

/mediawiki/1.10/mediawiki-1.10.0.tar.gz	United States	69
/mediawiki/1.15/mediawiki-1.15.0.tar.gz	United States	69
/mediawiki/1.18/mediawiki-1.18.0.tar.gz	United States	67
/mediawiki/1.9/mediawiki-1.9.0.tar.gz	United States	66

etc. etc. As much as I love to think 1.9.0 still has a use for many people and that maybe there are dozens of wiki-archeologists resurrecting ancient wikis in secret, it seems clear that there is a background noise of about 60 downloads per file from USA, from some automated crawler.

As for other numbers I don't know; doesn't this potentially tell more about locations of web hosts whose users download tarballs, than about meatspace users locations?

As for other numbers I don't know; doesn't this potentially tell more about locations of web hosts whose users download tarballs, than about meatspace users locations?

It could, but that still doesn't explain the number of downloads in China (unless there is some cheap China-based hosting I don't know about).

And then, some people probably download the tarball and then re-upload to their provider.

I just thought of getting a list of user agents so we could exclude them and only get "real" download.

What is the status of this task, now that Wikimania 2015 is over? As this task is in the "Backlog" column of the #Wikimania-Hackathon-2015 project's workboard: Did this task take place and was successfully finished? If yes: Please provide an update (and if the task is not completely finished yet, please move the project to the "Work continues after Mexico City" column on the #Wikimania-Hackathon-2015 workboard). If no: Please edit this task by removing the #Wikimania-Hackathon-2015 project from this task. Thanks for your help and keeping this task updated!

MarkAHershberger closed this task as Resolved.Jul 23 2015, 1:44 PM

Aklapper writes:

What is the status of this task, now that Wikimania 2015 is over?

This is done. Thanks for the reminder.